[jira] [Commented] (SHIRO-624) OSGI: commons configuration import should be optional

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (SHIRO-624) OSGI: commons configuration import should be optional

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SHIRO-624?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16141275#comment-16141275 ]

Tuomas Kiviaho commented on SHIRO-624:
--------------------------------------

I stumbled into this as well when upgrading from 1.2.3 to 1.4.0 and here's the fix

{code}
 <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Bundle-SymbolicName>org.apache.shiro.core</Bundle-SymbolicName>
                        <Export-Package>org.apache.shiro*;version=${project.version}</Export-Package>
                        <Import-Package>
                            org.apache.shiro*;version="${shiro.osgi.importRange}",
                            org.apache.commons.beanutils*;resolution:=optional,
+                            org.apache.commons.configuration2.interpol;resolution:=optional,
                            *
                        </Import-Package>
                    </instructions>
                </configuration>
            </plugin>
{code}

As a side note. I wonder why shiro-core 1.4.0 still contains the same classes as shiro-config-odgl which in turn contains classes from shiro-config-core. This isn't exactly what I was expecting and I find the approach a bit unusual. Other projects like felix webconsole provide all-in-one alternatives under separate classifiers

> OSGI: commons configuration import should be optional
> -----------------------------------------------------
>
>                 Key: SHIRO-624
>                 URL: https://issues.apache.org/jira/browse/SHIRO-624
>             Project: Shiro
>          Issue Type: Bug
>    Affects Versions: 1.4.0
>            Reporter: Moritz Bechler
>            Priority: Minor
>
> shiro-core OSGI manifest currently declares the org.apache.commons.configuration2.interpol import as required.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)